Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Class CMSDigestedDataInputConnector

`java.lang.Object
oracle.security.crypto.cms.CMSDigestedDataInputConnector`

All Implemented Interfaces:
  CMSInputConnector

public class CMSDigestedDataInputConnector
extends java.lang.Object
implements CMSInputConnector

A `CMSDigestedDataInputConnector` is used in place of a `CMSDigestedDataInputStream` when reading nested CMS objects containing `digested-data` structures.

A `CMSDigestedDataInputConnector` is essentially a input stream filter that unwraps the CMS `digested-data` structure from the data read in. A `CMSDigestedDataInputConnector` expects the Content field of the CMS ContentInfo structure i.e. the underlying input stream must be positioned just after the explicit [0] tag wrapper.

See Also:
  `CMSInputConnector`, `CMSDigestedDataInputStream`

Constructor Summary
`CMSDigestedDataInputConnector(CMSInputConnector conn)` Creates a `CMSDigestedDataInputConnector`.
`CMSDigestedDataInputConnector(java.io.InputStream in)` Creates a `CMSDigestedDataInputConnector`.

Method Summary
`oracle.security.crypto.asn1.ASN1ObjectID` | `getEnclosedContentType()` Returns the content type of the digested data.
`java.io.InputStream` | `getInputStream()` Returns the input stream governing this connector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSDigestedDataInputConnector

    public CMSDigestedDataInputConnector(java.io.InputStream in)

  Creates a `CMSDigestedDataInputConnector`.
Parameters:
  `in` - The underlying input stream.

### CMSDigestedDataInputConnector

    public CMSDigestedDataInputConnector(CMSInputConnector conn)

  Creates a `CMSDigestedDataInputConnector`.
Parameters:
  `conn` - The underlying input connector.

Method Detail

### getEnclosedContentType

    public oracle.security.crypto.asn1.ASN1ObjectID getEnclosedContentType()
                                                                    throws java.io.IOException

  Returns the content type of the digested data.
  Specified by:
    `getEnclosedContentType` in interface `CMSInputConnector`
  Returns:
    The content type identifier.
  Throws:
    `java.io.IOException` - An I/O error occurs or the input encoding is incorrect.

### getInputStream

    public java.io.InputStream getInputStream()

  Returns the input stream governing this connector.
  Specified by:
    `getInputStream` in interface `CMSInputConnector`
  Returns:
    The underlying input stream.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.